## calypso.util
Interface MemoryPressure

All Known Implementing Classes:
  Recycler

public abstract interface MemoryPressure

Method Summary
`void` | `panic()` This method is called by the garbage collector when the heap is essentially full and can no longer grow.
`void` | `postGC(long aCurrentHeapSpace, long aMaximumHeapSpace)` This method is called by the garbage collector just after a collection has finished.
`void` | `preGC(long aCurrentHeapSpace, long aMaximumHeapSpace)` This method is called by the garbage collector just before a garbage collection is about to begin.

Method Detail

### preGC

    public void preGC(long aCurrentHeapSpace,
                      long aMaximumHeapSpace)

  This method is called by the garbage collector just before a garbage collection is about to begin.

### postGC

    public void postGC(long aCurrentHeapSpace,
                       long aMaximumHeapSpace)

  This method is called by the garbage collector just after a collection has finished.

### panic

    public void panic()

  This method is called by the garbage collector when the heap is essentially full and can no longer grow. When this occurs all caches of objects should be flushed.